NERSCPowering Scientific Discovery Since 1974

On 1/8/2019, the CDT 18.09 will be set to default

January 2, 2019 by Zhengji Zhao

During the maintenance on 1/8/2019 for the AY year rollover, the Cray Developer Toolkit (CDT) version 18.09 will be set to default. Also an older version, CDT/18.06, will be removed and a new version cdt/18.12 will be installed. Here is the detail:

Software default version changes

Module NameOld Default VersionNew Default Version
atp 2.1.1 2.1.3
cce 8.6.5 8.7.4
cray-R 3.3.3 3.4.2
cray-ccdb 3.0.3 3.0.4
cray-cti 1.0.6 1.0.7
cray-fftw 3.3.6.3 3.3.8.1
cray-ga 5.3.0.7 5.3.0.8
cray-hdf5, cray-hdf5-parallel 1.10.1.1 1.10.2.0
cray-lgdb 3.0.7 3.0.10
cray-libsci 18.03.1 18.07.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.7.0 7.7.3
cray-netcdf 
cray-netcdf-hdf5parallel
4.4.1.1.6 4.6.1.3
cray-petsc 
cray-petsc-64
cray-petsc-complex
cray-petsc-complex-64
3.7.6.2 3.8.4.0
cray-python 2.7.13.1 2.7.15.1
cray-tpsl 
cray-tpsl-64
17.11.1 18.06.1
cray-trilinos 12.10.1.2 12.12.1.1 
craype 2.5.14 2.5.15
craypkg-gen 1.3.6 1.3.7
gdb4hpc   3.0.10 
papi 5.5.1.4 5.6.0.3
perftools 
perftools-base 
perftools-lite
7.0.0 7.0.3
pmi, pmi-lib 5.0.13 5.0.14
stat 3.0.1.1 3.0.1.2/td>

Software versions to be removed

Module NameVersion
atp 2.1.2
cce 8.7.1
cray-R 3.3.3
cray-fftw 3.3.6.5
cray-lgdb 3.0.9
cray-libsci 18.04.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.7.1
cray-netcdf 
cray-netcdf-hdf5parallel
4.6.1.0
cray-python 2.7.13.1
cray-trilinos 12.12.1.0
gdb4hpc 3.0.9
papi 5.6.0.2
perftools 
perftools-base 
perftools-lite
7.0.2

New software versions available

Module NameVersion
atp 2.1.2
cce 8.7.7
cray-ga 5.3.0.9
cray-libsci 18.12.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.7.4
cray-parallel-netcdf 1.8.1.4
cray-petsc 
cray-petsc-64
cray-petsc-complex
cray-petsc-complex-64
3.9.3.0
cray-python 2.7.15.3
craype 2.5.16
gcc 8.2.0
modules 3.2.11.1
papi 5.6.0.5
perftools 
perftools-base 
perftools-lite
7.0.5
valgrind4hpc 1.0.0